# $Id: ruby-aws.spec,v 1.4 2008/04/12 14:13:50 ianmacd Exp $

%{!?ruby_sitelib:	%define ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%define		rubyabi		1.8

Name:		ruby-aws
Version:	0.1.0
Release:	1%{?dist}
Summary:	Ruby interface to Amazon Web Services
Group:		Development/Languages

License:	GPL+
URL:		http://www.caliban.org/ruby/ruby-aws/
Source0:	http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	ruby
#BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby
Provides:	ruby(aws) = %{version}-%{release}
# Obsoletes but not Provides, because Ruby/Amazon API is obsolete.
Obsoletes:	ruby-amazon

%description
Ruby/AWS is a Ruby language library that allows the programmer to retrieve
information from Amazon via the Associate Web Service. In addition to the
original amazon.com site, amazon.co.uk, amazon.de, amazon.fr, amazon.ca and
amazon.co.jp are also supported.

In addition to wrapping the AWS API, Ruby/AWS provides geolocation of clients,
transparent fetching of all hits for a given search (not just the first 10)
and a host of other features.

Ruby/AWS supersedes Ruby/Amazon.


%package	doc
Summary:	Documentation for %{name}
Group:		Documentation

%description	doc
This package contains documentation for %{name}.


%prep
%setup -q

%build
ruby setup.rb config \
	--prefix=%{_prefix} \
	--site-ruby=%{ruby_sitelib}
ruby setup.rb setup

%install
%{__rm} -rf $RPM_BUILD_ROOT

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

%{__chmod} ugo-x example/*

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%doc NEWS
%doc README*

%{ruby_sitelib}/amazon.rb
%{ruby_sitelib}/amazon/

%files doc
%defattr(-,root,root,-)
%doc example/

%changelog
* Sat Apr 11 2008 Ian Macdonald <ian@caliban.org> 0.1.0-1
- 0.1.0
- Completely rewritten XML parser.
- Multiple operations are now implemented.
- Numerous fixes and improvements.
- Large scale code clean-up.
- Much more documentation added.
- Use Fedora spec file by Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>.

* Fri Mar 28 2008 Ian Macdonald <ian@caliban.org> 0.0.2-1
- 0.0.2
- Allow multiple response groups to be passed to ResponseGroup.new.
- Minor bug fixes.

* Mon Mar 24 2008 Ian Macdonald <ian@caliban.org> 0.0.1-2
- 0.0.1
- First public (alpha) release.

* Sun Mar 23 2008 Ian Macdonald <ian@caliban.org> 0.0.1-1
- Private test release only

